Package org.apache.commons.math3.optim.linear

# Class LinearConstraintSet

java.lang.Object
org.apache.commons.math3.optim.linear.LinearConstraintSet

All Implemented Interfaces:
  `OptimizationData`

public class LinearConstraintSet extends Object implements OptimizationData
Class that represents a set of `linear constraints`.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`LinearConstraintSet(Collection<LinearConstraint> constraints)`
Creates a set containing the given constraints.
`LinearConstraintSet(LinearConstraint... constraints)`
Creates a set containing the given constraints.

## Method Summary

Modifier and Type
Method
Description
`Collection<LinearConstraint>`
`getConstraints()`
Gets the set of linear constraints.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LinearConstraintSet

public LinearConstraintSet(LinearConstraint... constraints)
Creates a set containing the given constraints.

Parameters:
  `constraints` - Constraints.

### LinearConstraintSet

public LinearConstraintSet(Collection<LinearConstraint> constraints)
Creates a set containing the given constraints.

Parameters:
  `constraints` - Constraints.

## Method Details

### getConstraints

public Collection<LinearConstraint> getConstraints()
Gets the set of linear constraints.

Returns:
  the constraints.